<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="resources/platform/wbgrid.WbResourceMapper">
  <resultMap id="BaseResultMap" type="com.ag.dynamicmodule.wbgrid.pojo.WbResource">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <result column="RES_ID" jdbcType="VARCHAR" property="resId" />
    <result column="ID" jdbcType="VARCHAR" property="id" />
  </resultMap>
  <resultMap extends="BaseResultMap" id="ResultMapWithBLOBs" type="com.ag.dynamicmodule.wbgrid.pojo.WbResource">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <result column="RES_CONTENT" jdbcType="BLOB" property="resContent" />
  </resultMap>
  <sql id="Blob_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    RES_CONTENT
  </sql>
  <insert id="insert" parameterType="com.ag.dynamicmodule.wbgrid.pojo.WbResource">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into WB_RESOURCE (RES_ID, ID, RES_CONTENT
      )
    values (#{resId,jdbcType=VARCHAR}, #{id,jdbcType=VARCHAR}, #{resContent,jdbcType=BLOB}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.ag.dynamicmodule.wbgrid.pojo.WbResource">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into WB_RESOURCE
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="resId != null">
        RES_ID,
      </if>
      <if test="id != null">
        ID,
      </if>
      <if test="resContent != null">
        RES_CONTENT,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="resId != null">
        #{resId,jdbcType=VARCHAR},
      </if>
      <if test="id != null">
        #{id,jdbcType=VARCHAR},
      </if>
      <if test="resContent != null">
        #{resContent,jdbcType=BLOB},
      </if>
    </trim>
  </insert>
</mapper>